<?php

defined('JPATH_BASE') or die();

jimport('joomla.form.formfield');

class JFormFieldGetBilldesk extends JFormField
{
    /**
     * Element name
     *
     * @access    protected
     * @var        string
     */
    protected $type = 'getBilldesk';

    protected function getLabel()
    {
        return '<span> TEST PG CONNECTIVITY </span>';
    }

    public function getInput()
    {
        //require_once dirname(__FILE__) . '/plugins/vmpayment/billdesk/assets/js/test.php';
        vmJsApi::addJScript('/plugins/vmpayment/billdesk/assets/js/admin.js');
        $html = '<input type="button" value="TEST PG CONNECTIVITY" id="pg_connectivity" />';

        return $html;
    }
}
